Bug 1715108 - Switch installer and user interface to stable-4.2 channel, add *-4.2 channels to UI.
Summary: Switch installer and user interface to stable-4.2 channel, add *-4.2 channels...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1758636 1759667
TreeView+ depends on / blocked
 
Reported: 2019-05-29 15:16 UTC by Clayton Coleman
Modified: 2019-10-16 06:29 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1758636 1759667 (view as bug list)
Environment:
Last Closed: 2019-10-16 06:29:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 1850 None None None 2019-07-03 16:49:58 UTC
Github openshift installer pull 1801 None None None 2019-05-29 17:49:43 UTC
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:29:43 UTC

Description Clayton Coleman 2019-05-29 15:16:42 UTC
The installer needs to default the cluster to stable-4.2, and the console needs to list prerelease-4.2 and stable-4.2 as options.

Comment 1 W. Trevor King 2019-05-29 17:49:43 UTC
https://github.com/openshift/installer/pull/1801

Comment 3 Johnny Liu 2019-06-25 07:45:40 UTC
Verified this bug with 4.2.0-0.nightly-2019-06-25-003324, and PASS.

$ oc get clusterversion -o yaml
apiVersion: v1
items:
- apiVersion: config.openshift.io/v1
  kind: ClusterVersion
  metadata:
    creationTimestamp: "2019-06-25T03:50:01Z"
    generation: 1
    name: version
    resourceVersion: "15798"
    selfLink: /apis/config.openshift.io/v1/clusterversions/version
    uid: 4f3fc122-96fc-11e9-b3b7-0225811ce64e
  spec:
    channel: stable-4.2
    clusterID: da7fc4cf-705d-4a6b-a142-a277203dbb4b
    upstream: https://api.openshift.com/api/upgrades_info/v1/graph
  status:
<--SNIP-->

But from web console - https://console-openshift-console.apps.qe-jialiu.qe.devcluster.openshift.com/settings/cluster, 'stable-4.2' as default, 'nightly-4.1', 'prerelease-4.1' and 'stable-4.1' as options. Per initial report, 'rerelease-4.2' should be some option. So assign back.

Comment 4 Abhinav Dahiya 2019-07-03 00:58:07 UTC
installer work is done, missing console work

Comment 5 Samuel Padgett 2019-07-03 16:49:46 UTC
https://github.com/openshift/console/pull/1850

Comment 7 XiaochuanWang 2019-07-26 01:57:22 UTC
All Three channels are listed: stable-4.2, nightly-4.2, prerelease-4.2
This bug could be Verified on:
4.2.0-0.nightly-2019-07-24-220922

Comment 9 errata-xmlrpc 2019-10-16 06:29:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.